* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  background: var(--bg);
  color: var(--text);
  transition: 0.3s ease;
  font-family: 'Poppins', sans-serif;
}

.blog-container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
  padding-top: 60px;
}


/* Hero */
.hero {
  display: grid;
  gap: 30px;
  margin-top: 40px;
  align-items: center;
  grid-template-columns: 2fr 1fr;
}

.hero-content h1{
  font-size: clamp (2rem, 5vm, 4rem);
  max-width: 100%;
  overflow-wrap: break-word;
  white-space: normal;
  word-wrap: break-word;
}
.hero img {
  width: 100%;
  border-radius: 12px;

}

.hero-content h1 {
  font-size: 32px;
  margin: 10px 0;
}

.hero-content p {
  color: #666;
}

.badge {
  background: rgba(99, 102, 241, 0.15); /* indigo soft */
  color: #6366F1;
  border: 1px solid rgba(99,102,241,0.3);
  padding: 5px 10px;
  border-radius: 20px;
  font-size: 12px;
}

.read-more {
  display: inline-block;
  margin-top: 10px;
  color: white;
  text-decoration: none;
  background: linear-gradient(135deg, #3B82F6, #8B5CF6);
  font-weight: 600;
  padding: 10px 15px;
  border-radius: 20px;
  transition: 0.3s ease;
}

.read-more:hover{
  background: linear-gradient(135deg, #2563EB, #7C3AED);
  transform: translateY(-2px);
}

@media (max-width: 768px) {
  .hero {
    grid-template-columns: 1fr;
  }
}

/* Articles */
.articles {
  margin-top: 60px;
  margin-bottom: 30px;
}

.articles h2 {
  margin-bottom: 5px;
}

.subtitle {
  color: #777;
  margin-bottom: 20px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  margin: 15px 0;
}


.blog-card{
  background: var(--card-bg);
  border: 1px solid var(--card-border);
  box-shadow: var(--card-shadow);
  border-radius: 20px;
  transition: all .3s ease;
  overflow: hidden;
  position:relative;
}


.blog-card img{
 width:100%;
 display:block;
 transition:transform .7s ease;
}

.blog-card::after{
 content:"";
 position:absolute;
 top:-120%;
 left:-40%;
 width:60%;
 height:300%;
 background:rgba(255,255,255,.18);
 transform:rotate(25deg);
 transition:.8s;
}

.blog-card:hover img{
 transform:scale(1.1);
}

.blog-card:hover::after{
 left:120%;
}


.card-body {
  padding: 15px;
}

.card-body h3 {
  margin: 10px 0;
}

.card-body p {
  font-size: 14px;
  color: #666;
  margin-bottom: 20px;
}

.meta {
  font-size: 12px;
  color: #999;
}

.card-button{
  margin-top: 10px;
  margin-bottom: 30px;
  color: white;
  text-decoration: none;
  background: #5b5cf0;
  padding: 7px 15px;
  border-radius: 20px;
  cursor: pointer;
  transition: 0.3s;
  font-weight: 600;
}

.card-button:hover{
  background: #6c5cffb7;
  transform: translateY(-2px);
}


/* Responsive */
@media (max-width: 900px) {
  .hero {
    flex-direction: column;
  }

  .grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 600px) {
  .grid {
    grid-template-columns: 1fr;
  }

}

